module gw_gao(
    \data_out3[7] ,
    \data_out3[6] ,
    \data_out3[5] ,
    \data_out3[4] ,
    \data_out3[3] ,
    \data_out3[2] ,
    \data_out3[1] ,
    \data_out3[0] ,
    \data_out2[7] ,
    \data_out2[6] ,
    \data_out2[5] ,
    \data_out2[4] ,
    \data_out2[3] ,
    \data_out2[2] ,
    \data_out2[1] ,
    \data_out2[0] ,
    \data_out1[7] ,
    \data_out1[6] ,
    \data_out1[5] ,
    \data_out1[4] ,
    \data_out1[3] ,
    \data_out1[2] ,
    \data_out1[1] ,
    \data_out1[0] ,
    \data_out0[7] ,
    \data_out0[6] ,
    \data_out0[5] ,
    \data_out0[4] ,
    \data_out0[3] ,
    \data_out0[2] ,
    \data_out0[1] ,
    \data_out0[0] ,
    LOCK,
    ready,
    clk_byte_out,
    tms_pad_i,
    tck_pad_i,
    tdi_pad_i,
    tdo_pad_o
);

input \data_out3[7] ;
input \data_out3[6] ;
input \data_out3[5] ;
input \data_out3[4] ;
input \data_out3[3] ;
input \data_out3[2] ;
input \data_out3[1] ;
input \data_out3[0] ;
input \data_out2[7] ;
input \data_out2[6] ;
input \data_out2[5] ;
input \data_out2[4] ;
input \data_out2[3] ;
input \data_out2[2] ;
input \data_out2[1] ;
input \data_out2[0] ;
input \data_out1[7] ;
input \data_out1[6] ;
input \data_out1[5] ;
input \data_out1[4] ;
input \data_out1[3] ;
input \data_out1[2] ;
input \data_out1[1] ;
input \data_out1[0] ;
input \data_out0[7] ;
input \data_out0[6] ;
input \data_out0[5] ;
input \data_out0[4] ;
input \data_out0[3] ;
input \data_out0[2] ;
input \data_out0[1] ;
input \data_out0[0] ;
input LOCK;
input ready;
input clk_byte_out;
input tms_pad_i;
input tck_pad_i;
input tdi_pad_i;
output tdo_pad_o;

wire \data_out3[7] ;
wire \data_out3[6] ;
wire \data_out3[5] ;
wire \data_out3[4] ;
wire \data_out3[3] ;
wire \data_out3[2] ;
wire \data_out3[1] ;
wire \data_out3[0] ;
wire \data_out2[7] ;
wire \data_out2[6] ;
wire \data_out2[5] ;
wire \data_out2[4] ;
wire \data_out2[3] ;
wire \data_out2[2] ;
wire \data_out2[1] ;
wire \data_out2[0] ;
wire \data_out1[7] ;
wire \data_out1[6] ;
wire \data_out1[5] ;
wire \data_out1[4] ;
wire \data_out1[3] ;
wire \data_out1[2] ;
wire \data_out1[1] ;
wire \data_out1[0] ;
wire \data_out0[7] ;
wire \data_out0[6] ;
wire \data_out0[5] ;
wire \data_out0[4] ;
wire \data_out0[3] ;
wire \data_out0[2] ;
wire \data_out0[1] ;
wire \data_out0[0] ;
wire LOCK;
wire ready;
wire clk_byte_out;
wire tms_pad_i;
wire tck_pad_i;
wire tdi_pad_i;
wire tdo_pad_o;
wire tms_i_c;
wire tck_i_c;
wire tdi_i_c;
wire tdo_o_c;
wire [9:0] control0;
wire gao_jtag_tck;
wire gao_jtag_reset;
wire run_test_idle_er1;
wire run_test_idle_er2;
wire shift_dr_capture_dr;
wire update_dr;
wire pause_dr;
wire enable_er1;
wire enable_er2;
wire gao_jtag_tdi;
wire tdo_er1;

IBUF tms_ibuf (
    .I(tms_pad_i),
    .O(tms_i_c)
);

IBUF tck_ibuf (
    .I(tck_pad_i),
    .O(tck_i_c)
);

IBUF tdi_ibuf (
    .I(tdi_pad_i),
    .O(tdi_i_c)
);

OBUF tdo_obuf (
    .I(tdo_o_c),
    .O(tdo_pad_o)
);

GW_JTAG  u_gw_jtag(
    .tms_pad_i(tms_i_c),
    .tck_pad_i(tck_i_c),
    .tdi_pad_i(tdi_i_c),
    .tdo_pad_o(tdo_o_c),
    .tck_o(gao_jtag_tck),
    .test_logic_reset_o(gao_jtag_reset),
    .run_test_idle_er1_o(run_test_idle_er1),
    .run_test_idle_er2_o(run_test_idle_er2),
    .shift_dr_capture_dr_o(shift_dr_capture_dr),
    .update_dr_o(update_dr),
    .pause_dr_o(pause_dr),
    .enable_er1_o(enable_er1),
    .enable_er2_o(enable_er2),
    .tdi_o(gao_jtag_tdi),
    .tdo_er1_i(tdo_er1),
    .tdo_er2_i(1'b0)
);

gw_con_top  u_icon_top(
    .tck_i(gao_jtag_tck),
    .tdi_i(gao_jtag_tdi),
    .tdo_o(tdo_er1),
    .rst_i(gao_jtag_reset),
    .control0(control0[9:0]),
    .enable_i(enable_er1),
    .shift_dr_capture_dr_i(shift_dr_capture_dr),
    .update_dr_i(update_dr)
);

ao_top_0  u_la0_top(
    .control(control0[9:0]),
    .trig0_i(ready),
    .data_i({\data_out3[7] ,\data_out3[6] ,\data_out3[5] ,\data_out3[4] ,\data_out3[3] ,\data_out3[2] ,\data_out3[1] ,\data_out3[0] ,\data_out2[7] ,\data_out2[6] ,\data_out2[5] ,\data_out2[4] ,\data_out2[3] ,\data_out2[2] ,\data_out2[1] ,\data_out2[0] ,\data_out1[7] ,\data_out1[6] ,\data_out1[5] ,\data_out1[4] ,\data_out1[3] ,\data_out1[2] ,\data_out1[1] ,\data_out1[0] ,\data_out0[7] ,\data_out0[6] ,\data_out0[5] ,\data_out0[4] ,\data_out0[3] ,\data_out0[2] ,\data_out0[1] ,\data_out0[0] ,LOCK}),
    .clk_i(clk_byte_out)
);

endmodule
