//Copyright (C)2014-2024 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//Tool Version: V1.9.10.03 (64-bit) 
//Created Time: 2024-10-24 09:59:47
create_clock -name U0_IB -period 10 -waveform {0 5} [get_pins {MIPI_RX_Advance_Top/DPHY_RX_INST/U0_IB/I}]
create_clock -name sys_clk -period 20 -waveform {0 10} [get_ports {clkx2x4}]
create_clock -name PLL_0 -period 100 -waveform {0 50} [get_pins {PLLA_mipi_tx/CLKOUT0}]
create_clock -name PLL_1 -period 100 -waveform {0 50} [get_pins {PLLA_mipi_tx/CLKOUT1}]
create_clock -name HS_CLK -period 10 -waveform {0 5} [get_nets {MIPI_RX_Advance_Top/DPHY_RX_INST/HS_CLK}]
create_clock -name Inst3_CLKDIV_OUT -period 80 -waveform {0 40} [get_pins {MIPI_RX_Advance_Top/DPHY_RX_INST/u_idesx8/Inst3_CLKDIV/CLKOUT}]
create_clock -name U3_CLKDIV -period 800 -waveform {0 400} [get_pins {U3_CLKDIV/CLKOUT}]
create_clock -name tck_pad_i -period 50 -waveform {0 25} [get_ports {tck_pad_i}]
set_clock_groups -exclusive -group [get_clocks {PLL_0 PLL_1}] -group [get_clocks {U3_CLKDIV}] -group [get_clocks {tck_pad_i}] -group [get_clocks {Inst3_CLKDIV_OUT}] -group [get_clocks {U0_IB}] -group [get_clocks {sys_clk}] -group [get_clocks {HS_CLK}]
set_false_path -from [get_regs {MIPI_RX_Advance_Top/DPHY_RX_INST/u_idesx8/opensync_0_s0}] 
set_false_path -from [get_regs {MIPI_RX_Advance_Top/DPHY_RX_INST/u_idesx8/opensync_1_s0}] 