//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.10.03 (64-bit)
//Part Number: GW5A-LV25UG324ES
//Device: GW5A-25
//Device Version: A
//Created Time: Thu Oct 24 15:37:42 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	MIPI_TX_Advance_Top your_instance_name(
		.reset_n(reset_n), //input reset_n
		.MIPI_CLK_P(MIPI_CLK_P), //inout MIPI_CLK_P
		.MIPI_CLK_N(MIPI_CLK_N), //inout MIPI_CLK_N
		.lp_clk_in(lp_clk_in), //output [1:0] lp_clk_in
		.lp_clk_dir(lp_clk_dir), //input lp_clk_dir
		.clk_data(clk_data), //input [15:0] clk_data
		.lp_clk_out(lp_clk_out), //input [1:0] lp_clk_out
		.clk_bit(clk_bit), //input clk_bit
		.clk_bit_90(clk_bit_90), //input clk_bit_90
		.sclk(sclk), //input sclk
		.MIPI_LANE3_P(MIPI_LANE3_P), //inout MIPI_LANE3_P
		.MIPI_LANE3_N(MIPI_LANE3_N), //inout MIPI_LANE3_N
		.lp_data3_in(lp_data3_in), //output [1:0] lp_data3_in
		.lp_data3_dir(lp_data3_dir), //input lp_data3_dir
		.data_in3(data_in3), //input [15:0] data_in3
		.lp_data3_out(lp_data3_out), //input [1:0] lp_data3_out
		.MIPI_LANE2_P(MIPI_LANE2_P), //inout MIPI_LANE2_P
		.MIPI_LANE2_N(MIPI_LANE2_N), //inout MIPI_LANE2_N
		.lp_data2_in(lp_data2_in), //output [1:0] lp_data2_in
		.lp_data2_dir(lp_data2_dir), //input lp_data2_dir
		.data_in2(data_in2), //input [15:0] data_in2
		.lp_data2_out(lp_data2_out), //input [1:0] lp_data2_out
		.MIPI_LANE1_P(MIPI_LANE1_P), //inout MIPI_LANE1_P
		.MIPI_LANE1_N(MIPI_LANE1_N), //inout MIPI_LANE1_N
		.lp_data1_in(lp_data1_in), //output [1:0] lp_data1_in
		.lp_data1_dir(lp_data1_dir), //input lp_data1_dir
		.data_in1(data_in1), //input [15:0] data_in1
		.lp_data1_out(lp_data1_out), //input [1:0] lp_data1_out
		.MIPI_LANE0_P(MIPI_LANE0_P), //inout MIPI_LANE0_P
		.MIPI_LANE0_N(MIPI_LANE0_N), //inout MIPI_LANE0_N
		.lp_data0_in(lp_data0_in), //output [1:0] lp_data0_in
		.lp_data0_dir(lp_data0_dir), //input lp_data0_dir
		.data_in0(data_in0), //input [15:0] data_in0
		.lp_data0_out(lp_data0_out), //input [1:0] lp_data0_out
		.hs_clk_en(hs_clk_en), //input hs_clk_en
		.hs_data_en(hs_data_en) //input hs_data_en
	);

//--------Copy end-------------------
